// Slider Demo
// Thursday 10/18
// Slider is used to determine the index for two arrays.s

char [ ] data = { 'B', 'S', 'W', 'L', 'Z', 'U'  };
PImage [ ] pics;
PFont f;

int sliderX, sliderY, sliderWd, sliderHt;
int barX, barWd;
int index;
void setup( )
{
  size( 500, 500 );
  textSize(24);
  textAlign( CENTER, CENTER );
  rectMode( CENTER );
  imageMode( CENTER );
  noStroke( );
  sliderX = width/2;
  sliderY = int(height*.9 );
  sliderWd = int( width*.7 );
  sliderHt = int( height*.1 );

  barWd = int(sliderWd*.03 );
  barX = sliderX ;
  
  pics = new PImage [ 6 ];
  loadImages( );  
  
  f = loadFont("f.vlw");

}

void draw( )
{
   background( 0 );
   checkSlider( );
   showSlider( );
   showData( );
   showImage( );
}

void showSlider( )
{
   fill( 0, 0, 200 );
   rect( sliderX, sliderY, sliderWd, sliderHt);
   fill( 0, 200, 0 );
   rect(barX, sliderY,  barWd, sliderHt );
}

void checkSlider( )
{
   if ( mouseY >= sliderY- sliderHt/2 && 
        mouseY <= sliderY+ sliderHt/2 &&
        mouseX >= sliderX- sliderWd/2 &&
        mouseX <= sliderX+ sliderWd/2 
       )  // The mouse is on the slider bar
      {
         barX = constrain(    mouseX, 
                              sliderX- sliderWd/2,
                              sliderX+ sliderWd/2 );
         index = constrain(
                              int( map( mouseX, sliderX- sliderWd/2,
                              sliderX+ sliderWd/2,
                              0, data.length) ),
                              0, data.length-1);
      } 
}

void showData( )
{
    fill( 200, 200, 0 );
    text(  "index is " + index, width/2, height*.20);
    text(  "Array value is " + data[index], width/2, height*.35);
}

void showImage( )
{
   image( pics[index],  width/2, height*.6, 100, 100);
}


void loadImages( )
{
  for( int i= 0; i < pics.length; i++)
  {
    String name = "p" + i + ".jpg";
    pics[i] = loadImage( name );
  }
}
